Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.api.plugin
Interface PluginInstance

All Known Subinterfaces:
  ManagedPluginInstance

All Known Implementing Classes:
  ManagedPlugin

public interface PluginInstance

Defines a plug-in instance. Implemented by the plug-in to be able to register in the plug-in manager.

  Copyright © 2008 Oracle Corporation Systems, Inc. All Rights Reserved.

Field Summary
`static int` | `MATCH_OPTIONAL` Constant used by customMatch() to indicate that the plugin should be optionally used
`static int` | `MATCH_REMOVE` Constant used by customMatch() to indicate that the plugin should not be used
`static int` | `MATCH_REQUIRED` Constant used by customMatch() to indicate that the plugin is required

Method Summary
`int` | `customMatch(RequestInfo requestInfo)` Checks if this plugin can be used given the provided request info.
`List` | `getNorthInterfaces()` Returns all north interfaces
`List` | `getSouthInterfaces()` Returns all south interfaces
`boolean` | `isConnected()` Checks if the plug-in is connected to the underlying network.

Field Detail

### MATCH_OPTIONAL

    public static final int MATCH_OPTIONAL

  Constant used by customMatch() to indicate that the plugin should be optionally used

  See Also:
    Constant Field Values

### MATCH_REMOVE

    public static final int MATCH_REMOVE

  Constant used by customMatch() to indicate that the plugin should not be used

  See Also:
    Constant Field Values

### MATCH_REQUIRED

    public static final int MATCH_REQUIRED

  Constant used by customMatch() to indicate that the plugin is required

  See Also:
    Constant Field Values

Method Detail

### customMatch

    public int customMatch(RequestInfo requestInfo)

  Checks if this plugin can be used given the provided request info. The return value indicates if the plugin should be removed, considered as optional or required.

  Parameters:
    `requestInfo` - The request info.
  Returns:
    Value indicating if the plugin should be removed, considered optional or required. Use the MATCH_xxx constants only.

### getNorthInterfaces

    public List getNorthInterfaces()

  Returns all north interfaces

  Returns:
    The north interfaces

### getSouthInterfaces

    public List getSouthInterfaces()

  Returns all south interfaces

  Returns:
    The south interfaces

### isConnected

    public boolean isConnected()

  Checks if the plug-in is connected to the underlying network. I.e. is it ready to receieve traffic.

  Returns:
    True if the plug-in is connected

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD